Get server details
Retrieve detailed information about a specific server including health status.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication using OAuth2/OIDC tokens
In: header
Path Parameters
region*string
Region identifier
project*string
Project identifier
id*string
Unique server identifier (UUID)
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.k0rdent.ai/v1/regions/string/projects/string/infrastructure/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"selfLink": "/v1/regions/us-texas-1/projects/project-x9y8z7/infrastructure/servers/server-p7q8r9",
"uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
"id": "server-p7q8r9",
"displayName": "string",
"description": "string",
"hardwareSpecs": {
"cpu": {},
"ram": {},
"gpu": {}
},
"bmcAddress": "string",
"provisioningState": "registered",
"healthStatus": {
"status": "healthy",
"lastCheckTime": "2019-08-24T14:15:22Z",
"failureReasons": [
"string"
]
},
"tags": {
"property1": "string",
"property2": "string"
},
"persona": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}How is this guide?